# List Webhook Events This operation retrieves a paginated list of all webhook events. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "Webhook events", "description": "Operations related to webhook events." } ], "paths": { "/public/v1/webhook-events": { "get": { "tags": [ "Webhook events" ], "summary": "List Webhook Events", "description": "This operation retrieves a paginated list of all webhook events.", "operationId": "listWebhookEvent", "parameters": [ { "name": "count", "in": "query", "description": "Specify how many event results to return.", "required": true, "schema": { "type": "integer", "format": "int32", "minimum": 0 }, "example": 10 }, { "name": "page", "in": "query", "description": "Specify which page of the dataset to return.", "required": true, "schema": { "type": "integer", "format": "int32", "minimum": 0 }, "example": 1 }, { "name": "since", "in": "query", "description": "Return results where the event creation time is greater than or equal to this value.", "schema": { "type": "string", "format": "date-time" }, "example": "2022-06-01T00:00:00Z" }, { "name": "to", "in": "query", "description": "Return results where the event creation time is less than this value.", "schema": { "type": "string", "format": "date-time" }, "example": "2022-06-30T23:59:59Z" }, { "name": "type", "in": "query", "description": "Returns results by the specified event types.", "schema": { "type": "array", "items": { "$ref": "#/components/schemas/WebhookEventTriggerEnum" } }, "example": [ "recipient_completed" ] }, { "name": "http_status_code", "in": "query", "description": "Returns results with the specified HTTP status codes.", "schema": { "type": "array", "items": { "$ref": "#/components/schemas/WebhookEventHttpStatusCodeGroupEnum" } }, "example": [ 400 ] }, { "name": "error", "in": "query", "description": "Returns results with the following errors.", "schema": { "type": "array", "items": { "$ref": "#/components/schemas/WebhookEventErrorEnum" } }, "example": [ "INTERNAL_ERROR", "NOT_VALID_URL" ] } ], "responses": { "200": { "description": "Page of webhook events.", "content": { "application/json": { "examples": { "List Webhook Events": { "value": { "items": [ { "uuid": "6680b700-cbb8-4ab9-bf99-15d1cb4ab9f2", "name": "TEST", "type": "document_state_changed", "error": null, "http_status_code": 200, "delivery_time": "2022-03-31T10:59:14.234658Z" }, { "uuid": "2b97b5ee-01e2-4cd9-9ff8-f28c4376bcb2", "name": "TEST", "type": "document_state_changed", "error": null, "http_status_code": 200, "delivery_time": "2022-03-31T10:59:05.265944Z" } ] } }, "Empty": { "value": { "items": [] } } }, "schema": { "$ref": "#/components/schemas/WebhookEventPageResponse" } } } }, "401": { "$ref": "#/components/responses/401" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "WebhookEventTriggerEnum": { "type": "string", "enum": [ "recipient_completed", "document_updated", "document_deleted", "document_state_changed", "document_creation_failed", "document_completed_pdf_ready", "document_section_added", "quote_updated", "template_created", "template_updated", "template_deleted", "content_library_item_created", "content_library_item_creation_failed" ], "example": "document_state_changed" }, "WebhookEventHttpStatusCodeGroupEnum": { "type": "integer", "format": "int32", "enum": [ 100, 200, 300, 400, 500 ], "example": 400 }, "WebhookEventErrorEnum": { "type": "string", "enum": [ "INTERNAL_ERROR", "NOT_VALID_URL", "CONNECT_ERROR", "TIMEOUT_ERROR" ], "example": "TIMEOUT_ERROR", "nullable": true }, "WebhookEventItemResponse": { "type": "object", "properties": { "uuid": { "type": "string", "description": "Unique webhook subscription event identifier", "format": "uuid", "nullable": true, "example": "123e4567-e89b-12d3-a456-426614174000" }, "name": { "type": "string", "description": "Webhook subscription name", "nullable": false, "example": "My Subscription" }, "type": { "$ref": "#/components/schemas/WebhookEventTriggerEnum" }, "http_status_code": { "type": "integer", "format": "int32", "description": "Webhook subscription event response http status code", "nullable": true, "example": 200 }, "error": { "$ref": "#/components/schemas/WebhookEventErrorEnum" }, "delivery_time": { "type": "string", "format": "date-time", "description": "Webhook subscription event delivery time", "nullable": false, "example": "2022-06-20T15:04:59.424730Z" } } }, "WebhookEventPageResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/WebhookEventItemResponse" } } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } } } } ```